## mdds 0.3.0

=== debian/changelog ===
mdds (0.3.0-3) unstable; urgency=high

  * remove bogus temporary files from debian... 

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Jun 2010 00:10:29 +0200

mdds (0.3.0-2) unstable; urgency=low

  * add debian/watch

 -- Rene Engelhard <rene@debian.org>  Fri, 14 May 2010 14:00:22 +0200

mdds (0.3.0-1) unstable; urgency=low

  * Initial release

 -- Rene Engelhard <rene@debian.org>  Thu, 13 May 2010 00:43:04 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_build:

override_dh_auto_test:
ifneq (nocheck,$(DEB_BUILD_OPTIONS))
	$(MAKE)
	for i in *_test; do ./$$i; done
endif

## mdds 0.3.1

=== example/Makefile ===
#************************************************************************
#
# Copyright (c) 2010 Kohei Yoshida
# 
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following
# conditions:
# 
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#
#***********************************************************************

CPPFLAGS=-Wall -Os -std=c++0x

EXEC= \
	segment_tree \
	flat_segment_tree \
	rectangle_set \
	point_quad_tree

all: $(EXEC)

segment_tree: segment_tree.cpp

flat_segment_tree: flat_segment_tree.cpp

rectangle_set: rectangle_set.cpp

point_quad_tree: point_quad_tree.cpp

clean:
	rm -f $(EXEC)

=== debian/changelog ===
mdds (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 21 Dec 2010 02:02:35 +0100

## mdds 0.5.2

=== debian/changelog ===
mdds (0.5.2-1) experimental; urgency=low

  * new upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 29 Mar 2011 00:13:11 +0200

mdds (0.5.0-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Jan 2011 23:29:53 +0100

mdds (0.4.0-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 21 Dec 2010 03:00:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,14 @@
 
 override_dh_auto_test:
 ifneq (nocheck,$(DEB_BUILD_OPTIONS))
-	$(MAKE)
-	for i in *_test; do ./$$i; done
+	$(MAKE) check
 endif
+
+override_dh_clean:
+ifneq (nocheck,$(DEB_BUILD_OPTIONS))
+	rm -rf obj
+	rm -f *test
+endif
+	rm -f Makefile config.status config.log
+	
+	dh_clean

## mdds 0.5.4

=== debian/changelog ===
mdds (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sun, 30 Oct 2011 21:50:26 +0000

mdds (0.5.3-3) unstable; urgency=low

  * rm -f VERSION example/Makefile misc/mdds.spec (closes: #643215) 
  * don't let Makefile install stuff into /usr/share/doc/mdds 

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Sep 2011 23:16:31 +0000

mdds (0.5.3-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Tue, 30 Aug 2011 21:28:09 +0200

mdds (0.5.3-1) experimental; urgency=low

  * new upstream release 

 -- Rene Engelhard <rene@debian.org>  Fri, 15 Jul 2011 21:08:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -25,5 +25,6 @@
 	rm -f *test
 endif
 	rm -f Makefile config.status config.log
+	rm -f VERSION example/Makefile misc/mdds.spec
 	
 	dh_clean

## mdds 0.6.1

=== debian/changelog ===
mdds (0.6.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 18 Sep 2012 18:44:10 +0200

mdds (0.6.0-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 19 Jul 2012 21:05:12 +0200

## mdds 0.8.1

=== debian/changelog ===
mdds (0.8.1-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Tue, 23 Jul 2013 18:18:53 +0200

mdds (0.8.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 21 May 2013 01:25:55 +0200

mdds (0.8.0-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 09 May 2013 22:17:38 +0200

mdds (0.7.1-3) unstable; urgency=low

  * build using libboost1.53-dev to work around compile error
    with sids new gcc-4.7

 -- Rene Engelhard <rene@debian.org>  Thu, 09 May 2013 22:14:31 +0200

mdds (0.7.1-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Apr 2013 00:52:59 +0200

mdds (0.7.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 14 Mar 2013 22:54:54 +0100

mdds (0.7.0-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Mar 2013 01:53:55 +0100

=== debian/control ===
Source: mdds
Section: libdevel
Priority: optional
Maintainer: Debian OpenOffice Team <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
#Build-Depends: debhelper (>= 7.0.50~), libboost-dev (>= 1.39)
Build-Depends: debhelper (>= 7.0.50~), libboost1.53-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/multidimalgorithm/

Package: libmdds-dev
Architecture: all
#Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev (>= 1.39)
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost1.53-dev
Description: Multi Dimension Data structure library -- headers
 A collection of multi-dimensional data structure and indexing algorithm.
 .
 This is a C++ library, and is a collection of various data structures designed
 to efficiently store and query multi-dimensional data for various
 filtering criteria. Different structures are optimized for different
 query needs.
 .
 This library is a source-code only library. It’s designed to be
 header-only meaning that the user program does not need to link to any
 additional shared library in order to use these data structures. The
 data structures are all available as C++ templates.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,6 @@
 	rm -f *test
 endif
 	rm -f Makefile config.status config.log
-	rm -f VERSION example/Makefile misc/mdds.spec
+	rm -f VERSION example/Makefile misc/mdds.spec misc/mdds.pc
 	
 	dh_clean

## mdds 0.10.2

=== debian/changelog ===
mdds (0.10.2-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Feb 2014 15:57:34 +0100

mdds (0.10.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 16 Jan 2014 01:22:36 +0100

mdds (0.9.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 21 Oct 2013 21:49:59 +0200

mdds (0.8.1-4) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Aug 2013 10:18:38 +0200

mdds (0.8.1-3) experimental; urgency=low

  * build with default boost again

 -- Rene Engelhard <rene@debian.org>  Wed, 21 Aug 2013 18:23:35 +0200

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://multidimalgorithm.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/multidimalgorithm/downloads/detail[?]name=mdds_([0-9.]+).tar.bz2&.*

## mdds 0.10.3

=== debian/changelog ===
mdds (0.10.3-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Tue, 06 May 2014 21:29:32 +0200

mdds (0.10.3-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 25 Apr 2014 19:24:09 +0200

## mdds 0.11.1

=== debian/changelog ===
mdds (0.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Oct 2014 10:03:49 +0000

mdds (0.11.0-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Sep 2014 20:46:50 +0200

## mdds 0.11.2

=== debian/changelog ===
mdds (0.11.2-1) experimental; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Dec 2014 14:08:18 +0100

## mdds 0.12.1

=== debian/changelog ===
mdds (0.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 20 Jun 2015 10:49:46 +0200

mdds (0.12.0-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 05 Apr 2015 18:58:32 +0200

mdds (0.12.0-1) experimental; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 19 Feb 2015 23:22:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,13 @@
 Priority: optional
 Maintainer: Debian OpenOffice Team <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-#Build-Depends: debhelper (>= 7.0.50~), libboost-dev (>= 1.39)
-Build-Depends: debhelper (>= 7.0.50~), libboost1.53-dev
+Build-Depends: debhelper (>= 7.0.50~), libboost-dev (>= 1.39)
 Standards-Version: 3.8.4
 Homepage: http://code.google.com/p/multidimalgorithm/
 
 Package: libmdds-dev
 Architecture: all
-#Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev (>= 1.39)
-Depends: ${shlibs:Depends}, ${misc:Depends}, libboost1.53-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev (>= 1.39)
 Description: Multi Dimension Data structure library -- headers
  A collection of multi-dimensional data structure and indexing algorithm.
  .

=== debian/rules ===
--- 
+++ 
@@ -26,5 +26,5 @@
 endif
 	rm -f Makefile config.status config.log
 	rm -f VERSION example/Makefile misc/mdds.spec misc/mdds.pc
-	
+
 	dh_clean

## mdds 1.2.0

=== debian/changelog ===
mdds (1.2.0-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 14 May 2016 10:41:38 +0200

mdds (1.2.0-1) experimental; urgency=medium

  * Imported Upstream version 1.2.0

 -- Rene Engelhard <rene@debian.org>  Fri, 13 May 2016 11:27:17 +0200

mdds (1.1.0-3) unstable; urgency=medium

  * upload to unstable 

  * debian/watch: fix filenamemangle

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Apr 2016 21:33:36 +0200

mdds (1.1.0-2) experimental; urgency=medium

  * point debian/watch to github instead of LOs dev-www

 -- Rene Engelhard <rene@debian.org>  Thu, 10 Mar 2016 00:49:02 +0100

mdds (1.1.0-1) experimental; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 12 Feb 2016 16:27:04 +0100

mdds (1.0.0-2) experimental; urgency=medium

  * actually install the includes and pkg-config file... 

 -- Rene Engelhard <rene@debian.org>  Sat, 05 Dec 2015 16:39:50 +0100

mdds (1.0.0-1) experimental; urgency=medium

  * New upstream release

  * build new doxygen docs and create libmdds-doc

  * update copyright/control to point to github and update watch to
    dev-www.libreoffice.org/src since http://kohei.us/files/mdds/src is 403.
  * fix Maintainer to Debian LibreOffice Maintainers

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Nov 2015 10:13:15 +0100

## mdds 1.2.1

=== debian/changelog ===
mdds (1.2.1-1) unstable; urgency=medium

  * [5cd5107] Imported Upstream version 1.2.1

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Jun 2016 16:26:02 +0200

## mdds 1.2.2

=== debian/changelog ===
mdds (1.2.2-1) unstable; urgency=medium

  * [adc1995] New upstream version 1.2.2

 -- Rene Engelhard <rene@debian.org>  Sat, 10 Sep 2016 17:46:53 +0200

## mdds 1.2.3

=== debian/changelog ===
mdds (1.2.3-5) unstable; urgency=medium

  * more autopkgtest fixes: actually use system-includes and
    use allow-stdrr

 -- Rene Engelhard <rene@debian.org>  Thu, 13 Jul 2017 21:32:53 +0000

mdds (1.2.3-4) unstable; urgency=medium

  * bump dh compat to 9
  * fix autopkgtest: run dh_auto_configure before make check...

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Jul 2017 23:22:28 +0200

mdds (1.2.3-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 27 May 2017 10:45:52 +0200

mdds (1.2.3-2) experimental; urgency=medium

  * add autopkgtest running make check

 -- Rene Engelhard <rene@debian.org>  Thu, 25 May 2017 17:27:47 +0200

mdds (1.2.3-1) experimental; urgency=medium

  * New upstream version 1.2.3

 -- Rene Engelhard <rene@debian.org>  Thu, 25 May 2017 16:16:53 +0200

=== debian/tests/control ===
Tests: make-check
Depends: @builddeps@, libmdds-dev, dh-autoreconf, pkg-config

## mdds 1.3.1

=== debian/changelog ===
mdds (1.3.1-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 21 Jan 2018 13:52:30 +0100

mdds (1.3.1-1) experimental; urgency=medium

  * New upstream version 1.3.1

 -- Rene Engelhard <rene@debian.org>  Sat, 11 Nov 2017 10:46:04 +0000

mdds (1.3.0-1) experimental; urgency=medium

  * New upstream version 1.3.0

 -- Rene Engelhard <rene@debian.org>  Tue, 31 Oct 2017 12:10:12 +0000

mdds (1.2.3-6) unstable; urgency=medium

  * *really* add Restrictions: allow-stderr

 -- Rene Engelhard <rene@debian.org>  Sat, 15 Jul 2017 10:06:55 +0000

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	dh  $@
 
 override_dh_auto_build:
+	cd doc && doxygen doxygen.conf
 
 override_dh_auto_test:
 ifneq (nocheck,$(DEB_BUILD_OPTIONS))
@@ -26,5 +27,6 @@
 endif
 	rm -f Makefile config.status config.log
 	rm -f VERSION example/Makefile misc/mdds.spec misc/mdds.pc
+	rm -rf doc/_doxygen
 
 	dh_clean

=== debian/watch ===
version=2
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/mdds-$1\.tar\.gz/g \
  https://gitlab.com/mdds/mdds/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## mdds 1.4.3

=== debian/changelog ===
mdds (1.4.3-6) unstable; urgency=medium

  * remove bogus make clean in autopkgtest

 -- Rene Engelhard <rene@debian.org>  Wed, 19 Dec 2018 00:41:39 +0100

mdds (1.4.3-5) unstable; urgency=medium

  * fix autopkgtest

 -- Rene Engelhard <rene@debian.org>  Tue, 18 Dec 2018 22:57:44 +0000

mdds (1.4.3-4) unstable; urgency=medium

  * make debian/tests/patches/system-includes.diff apply again

 -- Rene Engelhard <rene@debian.org>  Tue, 18 Dec 2018 07:32:26 +0100

mdds (1.4.3-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 15 Dec 2018 13:52:25 +0000

mdds (1.4.3-2) experimental; urgency=medium

  * install only example/*.cpp (closes: #915413)

 -- Rene Engelhard <rene@debian.org>  Mon, 03 Dec 2018 22:30:57 +0000

mdds (1.4.3-1) experimental; urgency=medium

  * New upstream version 1.4.3

 -- Rene Engelhard <rene@debian.org>  Wed, 31 Oct 2018 20:57:47 +0000

mdds (1.4.2-1) experimental; urgency=medium

  * New upstream version 1.4.2

 -- Rene Engelhard <rene@debian.org>  Tue, 18 Sep 2018 20:00:05 +0200

mdds (1.4.1-1) experimental; urgency=medium

  * New upstream version 1.4.1

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Aug 2018 08:11:28 +0000

mdds (1.3.1-3) unstable; urgency=medium

  * apply patch from Chris Lamb to make the build reproducible
    (FULL_PATH_NAMES        = NO), thanks (closes: #888049)
  * fix debian/watch

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Aug 2018 07:57:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: mdds
 Section: libdevel
 Priority: optional
-Maintainer: Debian OpenOffice Team <debian-openoffice@lists.debian.org>
+Maintainer: Debian LibreOffice Maintaners <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libboost-dev (>= 1.39)
+Build-Depends-Indep: doxygen
 Standards-Version: 3.8.4
-Homepage: http://code.google.com/p/multidimalgorithm/
+Homepage: https://gitlab.com/mdds/mdds
 
 Package: libmdds-dev
 Architecture: all
@@ -23,3 +24,22 @@
  additional shared library in order to use these data structures. The
  data structures are all available as C++ templates.
 
+Package: libmdds-doc
+Architecture: all
+Depends: ${misc:Depends}
+Section: doc
+Description: Multi Dimension Data structure library -- documentation
+ A collection of multi-dimensional data structure and indexing algorithm.
+ .
+ This is a C++ library, and is a collection of various data structures designed
+ to efficiently store and query multi-dimensional data for various
+ filtering criteria. Different structures are optimized for different
+ query needs.
+ .
+ This library is a source-code only library. It’s designed to be
+ header-only meaning that the user program does not need to link to any
+ additional shared library in order to use these data structures. The
+ data structures are all available as C++ templates.
+ .
+ This package contains the API documentation for mdds.
+

## mdds 1.5.0

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mdds
 Section: libdevel
 Priority: optional
-Maintainer: Debian LibreOffice Maintaners <debian-openoffice@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian LibreOffice Maintaners <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libboost-dev (>= 1.39)
+Build-Depends: debhelper (>= 7.0.50~), libboost-dev (>= 1.39), expect, dejagnu
 Build-Depends-Indep: doxygen
 Standards-Version: 3.8.4
 Homepage: https://gitlab.com/mdds/mdds

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 %:
 	dh  $@
 
+override_dh_auto_configure:
+	dh_auto_configure --buildsystem=autoconf
+
 override_dh_auto_build:
 	cd doc && doxygen doxygen.conf
 
@@ -23,10 +26,12 @@
 override_dh_clean:
 ifneq (nocheck,$(DEB_BUILD_OPTIONS))
 	rm -rf obj
-	rm -f *test
 endif
 	rm -f Makefile config.status config.log
 	rm -f VERSION example/Makefile misc/mdds.spec misc/mdds.pc
 	rm -rf doc/_doxygen
 
 	dh_clean
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mdds 1.5.0-3%2B9.0trisquel2

=== debian/changelog ===
mdds (1.5.0-3+9.0trisquel2) etiona-backports; urgency=medium

  * Backported from Focal

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Mar 2020 00:51:57 +0000

mdds (1.5.0-3) unstable; urgency=medium

  * debian/tests/patches/system-includes.diff: fix for mdds-1.5

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Nov 2019 21:45:11 +0100

mdds (1.5.0-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Nov 2019 12:15:42 +0100

mdds (1.5.0-1) experimental; urgency=medium

  * New upstream version 1.5.0

  * explicitely run dh_auto_configure --buildsystem=autoconf
  * add expect, dejagnu build-dependencies

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Aug 2019 12:54:07 +0200

## mdds 1.6.0

=== debian/changelog ===
mdds (1.6.0-4) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 04 Jul 2020 08:13:23 +0000

mdds (1.6.0-3) experimental; urgency=medium

  * merge mdds 1.5.0-3

 -- Rene Engelhard <rene@debian.org>  Sat, 06 Jun 2020 16:05:33 +0200

mdds (1.6.0-1) experimental; urgency=medium

  * New upstream version 1.6.0

 -- Rene Engelhard <rene@debian.org>  Sun, 09 Feb 2020 23:11:02 +0100

## mdds 1.7.0

=== debian/changelog ===
mdds (1.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 10 Sep 2020 18:23:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,3 @@
 	rm -rf doc/_doxygen
 
 	dh_clean
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts=downloadurlmangle=s|gitlab.com/mdds/mdds/repository/(@ANY_VERSION@)/archive.tar.gz|kohei.us/files/mdds/src/@PACKAGE@-$1.tar.bz2|,repack,compression=bz2 \
http://gitlab.com/mdds/mdds/tags .*/@ANY_VERSION@/archive\.tar\.gz

## mdds 2.0.1

=== debian/changelog ===
mdds (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1

 -- Rene Engelhard <rene@debian.org>  Tue, 14 Dec 2021 07:05:18 +0100

mdds (2.0.0-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 08 Dec 2021 19:37:20 +0100

mdds (2.0.0-1) experimental; urgency=medium

  * New upstream version 2.0.0

 -- Rene Engelhard <rene@debian.org>  Tue, 02 Nov 2021 06:55:27 +0100

## mdds 2.0.2

=== debian/changelog ===
mdds (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Feb 2022 08:37:45 +0100

## mdds 2.0.3

=== debian/changelog ===
mdds (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3

 -- Rene Engelhard <rene@debian.org>  Wed, 11 May 2022 18:01:37 +0200

## mdds 2.1.1

=== debian/changelog ===
mdds (2.1.1-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 24 Nov 2023 17:38:44 +0100

mdds (2.1.1-1) experimental; urgency=medium

  * New upstream version 2.1.1

 -- Rene Engelhard <rene@debian.org>  Tue, 02 May 2023 19:10:18 +0200

mdds (2.1.0-2) experimental; urgency=medium

  * debian/tests/patches/system-includes.diff: fix for mdds-2.1 

 -- Rene Engelhard <rene@debian.org>  Sat, 14 Jan 2023 09:03:29 +0100

mdds (2.1.0-1) experimental; urgency=medium

  * New upstream version 2.1.0

  * run dh_autoreconf (using ./autogen.sh)

 -- Rene Engelhard <rene@debian.org>  Fri, 13 Jan 2023 18:07:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mdds
 Section: libdevel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian LibreOffice Maintaners <debian-openoffice@lists.debian.org>
+Maintainer: Debian LibreOffice Maintaners <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libboost-dev (>= 1.39), expect, dejagnu
+Build-Depends: debhelper (>= 7.0.50~), libboost-dev (>= 1.39)
 Build-Depends-Indep: doxygen
+Build-Conflicts: expect, dejagnu
 Standards-Version: 3.8.4
 Homepage: https://gitlab.com/mdds/mdds

## mdds 3.0.0

=== debian/changelog ===
mdds (3.0.0-1) experimental; urgency=medium

  * New upstream version 3.0.0

 -- Rene Engelhard <rene@debian.org>  Wed, 29 Jan 2025 17:56:27 +0100

## mdds 3.1.0

=== debian/changelog ===
mdds (3.1.0-3) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Aug 2025 13:24:07 +0200

mdds (3.1.0-2) experimental; urgency=medium

  * debian/watch: fix, based on liborcus

 -- Rene Engelhard <rene@debian.org>  Tue, 12 Aug 2025 22:31:48 +0200

mdds (3.1.0-1) experimental; urgency=medium

  * New upstream version 3.1.0

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Jul 2025 17:10:13 +0200

=== debian/tests/control ===
Tests: make-check
Depends: @builddeps@, libmdds-dev, dh-autoreconf, pkg-config
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=searchmode=plain,downloadurlmangle=s|gitlab.com/mdds/mdds/repository/(@ANY_VERSION@)/archive.tar.gz|kohei.us/files/mdds/src/@PACKAGE@-$1.tar.xz|,repack,compression=xz \
https://gitlab.com/mdds/mdds/tags?sort=updated_desc /mdds/mdds/-/archive/@ANY_VERSION@/[^/]+\.tar\.gz

## mdds 3.2.0

=== doc/requirements.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

breathe
piccolo-theme

=== debian/changelog ===
mdds (3.2.0-5) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jan 2026 20:46:42 +0100

mdds (3.2.0-4) experimental; urgency=medium

  * fix nocheck checks in debian/rules 
  * add <!nocheck> to libtbb-dev Build-(Depends|Conflicts)

 -- Rene Engelhard <rene@debian.org>  Sun, 21 Dec 2025 10:06:55 +0100

mdds (3.2.0-3) experimental; urgency=medium

  * B-D on libtbb-dev only on !i386 !armhf, add Build-Conflicts for i386 armhf
    to force tbb usage only on 64bit - it will be ignored if not present

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Dec 2025 18:51:20 +0100

mdds (3.2.0-2) experimental; urgency=medium

  * add B-D on pkg-config

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Dec 2025 18:13:03 +0100

mdds (3.2.0-1) experimental; urgency=medium

  * New upstream version 3.2.0

  * add libtbb-dev to Build-Depends:

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Dec 2025 02:28:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian LibreOffice Maintaners <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libboost-dev (>= 1.39)
+Build-Depends: debhelper (>= 7.0.50~), libboost-dev (>= 1.39), pkg-config, libtbb-dev [!i386 !armhf] <!nocheck>
 Build-Depends-Indep: doxygen
-Build-Conflicts: expect, dejagnu
+Build-Conflicts: expect, dejagnu, libtbb-dev [i386 armhf] <!nocheck>
 Standards-Version: 3.8.4
 Homepage: https://gitlab.com/mdds/mdds

## mdds 3.2.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

cmake_minimum_required(VERSION 3.12)
cmake_policy(SET CMP0048 NEW)

set(MDDS_API_VERSION_MAJOR 3)
set(MDDS_API_VERSION_MINOR 0)
set(MDDS_API_VERSION "${MDDS_API_VERSION_MAJOR}.${MDDS_API_VERSION_MINOR}")
message(STATUS "API version: ${MDDS_API_VERSION}")

project(mdds VERSION 3.2.1 LANGUAGES CXX)
set(MDDS_VERSION "${mdds_VERSION}")
set(MDDS_VERSION_MAJOR ${mdds_VERSION_MAJOR})
set(MDDS_VERSION_MINOR ${mdds_VERSION_MINOR})
set(MDDS_VERSION_MICRO ${mdds_VERSION_PATCH})  # NB: PATCH -> MICRO
message(STATUS "mdds version: ${MDDS_VERSION}")
set(CMAKE_CXX_STANDARD 17)

find_package(Boost)
find_package(Threads)

enable_testing()
set(CMAKE_CTEST_COMMAND ctest -V)

message(STATUS "size of void pointer: ${CMAKE_SIZEOF_VOID_P}")

add_compile_definitions(
    MDDS_UNIT_TEST
    MDDS_DEBUG_NODE_BASE
    SIZEOF_VOID_P=${CMAKE_SIZEOF_VOID_P}
)

if(MSVC)
    add_definitions(/wd4251 /wd4275 /wd4244 /MP)
endif(MSVC)

configure_file(
    ${PROJECT_SOURCE_DIR}/include/mdds/version.hpp.in
    ${CMAKE_CURRENT_BINARY_DIR}/include/mdds/version.hpp
)

include_directories(
    ${PROJECT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_BINARY_DIR}/include
    ${Boost_INCLUDE_DIR}
)

add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/mdds
    ${CMAKE_CURRENT_BINARY_DIR}/include/mdds
    DESTINATION include/mdds-${MDDS_API_VERSION}
    FILES_MATCHING
        PATTERN "*.hpp"
        PATTERN "*.inl"
)

add_subdirectory(misc)
add_subdirectory(test)
add_subdirectory(tools)

=== misc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

add_executable(misc-mtv-copy-blocks EXCLUDE_FROM_ALL
    mtv_copy_blocks.cpp
)

add_executable(misc-mtv-clone-noncopyable EXCLUDE_FROM_ALL
    mtv_clone_noncopyable.cpp
)

target_link_libraries(misc-mtv-copy-blocks PUBLIC test-global)
target_link_libraries(misc-mtv-clone-noncopyable PUBLIC test-global)

=== test/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

add_library(test-global STATIC EXCLUDE_FROM_ALL test_global.cpp)

target_include_directories(test-global PUBLIC
    include
)

add_executable(ref-pair-test-main EXCLUDE_FROM_ALL
    ref_pair_test.cpp
)

add_executable(version-test-main EXCLUDE_FROM_ALL
    version_test.cpp
)

target_link_libraries(ref-pair-test-main PRIVATE test-global)
target_link_libraries(version-test-main PRIVATE test-global)

add_test(ref-pair-test-main ref-pair-test-main)
add_test(version-test-main version-test-main)

add_dependencies(check
    ref-pair-test-main
    version-test-main
)

add_subdirectory(flat_segment_tree)
add_subdirectory(multi_type_vector)
add_subdirectory(multi_type_matrix)
add_subdirectory(point_quad_tree)
add_subdirectory(rtree)
add_subdirectory(segment_tree)
add_subdirectory(sorted_string_map)
add_subdirectory(trie_map)

=== tools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

add_subdirectory(runtime-env)

=== test/flat_segment_tree/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

add_executable(flat-segment-tree-test-main EXCLUDE_FROM_ALL
    test_main.cpp
)

target_link_libraries(flat-segment-tree-test-main PRIVATE test-global)

add_test(flat-segment-tree-test-main flat-segment-tree-test-main)

add_dependencies(check
    flat-segment-tree-test-main
)

=== test/multi_type_matrix/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

add_executable(multi-type-matrix-test-main EXCLUDE_FROM_ALL
    test_main.cpp
)

add_executable(multi-type-matrix-test-walk EXCLUDE_FROM_ALL
    test_walk.cpp
)

target_link_libraries(multi-type-matrix-test-main PRIVATE test-global)
target_link_libraries(multi-type-matrix-test-walk PRIVATE test-global)

add_test(multi-type-matrix-test-main multi-type-matrix-test-main)
add_test(multi-type-matrix-test-walk multi-type-matrix-test-walk)

add_dependencies(check
    multi-type-matrix-test-main
    multi-type-matrix-test-walk
)

=== test/multi_type_vector/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

add_subdirectory(default)
add_subdirectory(clone)
add_subdirectory(collection)
add_subdirectory(custom)
add_subdirectory(custom-trait)
add_subdirectory(debug-util)
add_subdirectory(element-blocks)
add_subdirectory(event)
add_subdirectory(exec-policy)
add_subdirectory(perf)
add_subdirectory(push-emplace-back)

=== test/point_quad_tree/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

add_executable(point-quad-tree-test-main EXCLUDE_FROM_ALL
    test_main.cpp
)

target_link_libraries(point-quad-tree-test-main PRIVATE test-global)

add_test(point-quad-tree-test-main point-quad-tree-test-main)

add_dependencies(check
    point-quad-tree-test-main
)

=== test/rtree/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

add_executable(rtree-test EXCLUDE_FROM_ALL
    test_basic.cpp
    test_copy.cpp
    test_directory_node_split.cpp
    test_erase_directories.cpp
    test_exact_search_by_extent.cpp
    test_exact_search_by_point.cpp
    test_forced_reinsertion.cpp
    test_geometry.cpp
    test_intersection.cpp
    test_main.cpp
    test_main.cpp
    test_move.cpp
    test_node_split.cpp
    test_point_objects.cpp
    test_square_distance.cpp
)

target_link_libraries(rtree-test PRIVATE test-global)

add_executable(rtree-test-bulkload EXCLUDE_FROM_ALL
    test_bulkload_main.cpp
)

target_link_libraries(rtree-test-bulkload PRIVATE test-global)

add_test(rtree-test rtree-test)
add_test(rtree-test-bulkload rtree-test-bulkload)

add_dependencies(check
    rtree-test
    rtree-test-bulkload
)

=== test/segment_tree/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

add_executable(segment-tree-test-main EXCLUDE_FROM_ALL
    test_main.cpp
    test_move_value.cpp
)

target_link_libraries(segment-tree-test-main PRIVATE test-global)

add_test(segment-tree-test-main segment-tree-test-main)

add_dependencies(check
    segment-tree-test-main
)

=== test/sorted_string_map/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

set(TEST_NAME sorted-string-map-test)
set(TARGET_NAME ${TEST_NAME})

add_executable(${TARGET_NAME} EXCLUDE_FROM_ALL
    test_main.cpp
)

target_link_libraries(${TARGET_NAME} PUBLIC test-global)

add_test(${TEST_NAME} ${TARGET_NAME})
add_dependencies(check ${TARGET_NAME})

=== test/trie_map/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Kohei Yoshida
#
# SPDX-License-Identifier: MIT

add_executable(trie-map-test-main EXCLUDE_FROM_ALL
    test_main.cpp
    test_state.cpp
    test_node.cpp
    test_move_value.cpp
    test_pack_value_type.cpp
)

target_link_libraries(trie-map-test-main PRIVATE test-global)

add_test(trie-map-test-main trie-map-test-main)

add_dependencies(check
    trie-map-test-main
)

=== debian/changelog ===
mdds (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

  * update debian/watch to v5 using Template: GitLab 

 -- Rene Engelhard <rene@debian.org>  Wed, 04 Mar 2026 05:12:24 +0100

=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://gitlab.com/mdds/mdds
Release-Only: yes
